## thunderbird 52.7.0+build1

=== debian/control ===
# vim:noexpandtab:
Source: thunderbird
Section: web
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Vcs-Bzr: https://code.launchpad.net/~mozillateam/thunderbird/thunderbird.zesty
Build-Depends: cdbs (>= 0.4.27),
	debhelper (>= 7),
	autotools-dev,
	autoconf2.13,
	quilt,
	zip,
	libx11-dev,
	libx11-xcb-dev,
	libxt-dev,
	libxext-dev,
	libgtk2.0-dev (>= 2.14),
	libgtk-3-dev (>= 3.4),
	libglib2.0-dev (>= 2.18),
	libpango1.0-dev (>= 1.14.0),
	libfontconfig1-dev,
	libfreetype6-dev (>= 2.0.1),
	libgconf2-dev (>= 1.2.1),
	libgnomeui-dev (>= 2.2.0),
	libstartup-notification0-dev,
	libasound2-dev,
	libcurl4-openssl-dev,
	libdbus-glib-1-dev (>= 0.60),
	lsb-release,
	libiw-dev,
	mesa-common-dev,
	libnotify-dev,
	libxrender-dev,
	libpulse-dev,
	yasm (>= 1.1),
	imagemagick,
	docbook-to-man,
	libkrb5-dev,
	unzip,
	dbus-x11,
	xvfb,
	python (>= 2.7),
	libffi-dev (>= 3.0.9)
#Build-Conflicts: python-progressbar
Standards-Version: 3.9.1
#XS-Testsuite: autopkgtest

Package: thunderbird
Architecture: any
Depends: ${shlibs:Depends},
	${misc:Depends}
Recommends: myspell-en-us | hunspell-dictionary | myspell-dictionary,
	${support:Recommends},
	libcanberra0,
	libdbusmenu-glib4,
	libdbusmenu-gtk4
Suggests: ${support:Suggests},
	ttf-lyx
Breaks: ${transitional:Breaks}
Replaces: ${transitional:Replaces}
Conflicts: ${app:Conflicts},
	${transitional:Conflicts}
Provides: mail-reader,
	${app:Provides}
Section: mail
Description: Email, RSS and newsgroup client with integrated spam filter
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.

Package: thunderbird-gnome-support
Architecture: any
Section: gnome
Depends: ${shlibs:Depends},
	thunderbird (= ${binary:Version}),
	${misc:Depends},
	${unity:Depends},
	libnotify4 | libnotify1
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Email, RSS and newsgroup client - GNOME support
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.
 .
 This package depends on the GNOME libraries which allow Thunderbird to take
 advantage of technologies such as GConf, GIO and libnotify

Package: thunderbird-dev
Architecture: any
Section: devel
Depends: thunderbird (= ${binary:Version}),
	${misc:Depends},
	${shlibs:Depends}
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Email, RSS and newsgroup client - development files
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.
 .
 This package contains the headers and SDK for building plugins and extensions
 with Thunderbird

Package: thunderbird-dbg
Architecture: any
Section: debug
Priority: extra
Depends: thunderbird (= ${binary:Version}),
	${shlibs:Depends},
	${misc:Depends}
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Email, RSS and newsgroup client - debug symbols
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.
 .
 This package contains the debugging symbols for Thunderbird

Package: thunderbird-mozsymbols
Architecture: amd64 i386 armel
Section: debug
Priority: extra
Depends: ${shlibs:Depends},
	${misc:Depends}
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Email, RSS and newsgroup client - Breakpad symbols
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.
 .
 This package contains the Firefox symbols in a format expected by Mozilla's
 Breakpad. Eventually this package should go away and the symbol upload be
 implemented in soyuz (or other builders that build this package)

Package: thunderbird-testsuite
Architecture: any
Section: misc
Priority: extra
Depends: ${shlibs:Depends},
	${misc:Depends},
	thunderbird (= ${binary:Version}),
	thunderbird-gnome-support (= ${binary:Version}),
	thunderbird-locale-bn-bd (= ${binary:Version}), thunderbird-locale-en-gb (= ${binary:Version}), thunderbird-locale-en-us (= ${binary:Version}), thunderbird-locale-es-ar (= ${binary:Version}), thunderbird-locale-es-es (= ${binary:Version}), thunderbird-locale-fy-nl (= ${binary:Version}), thunderbird-locale-ga-ie (= ${binary:Version}), thunderbird-locale-nb-no (= ${binary:Version}), thunderbird-locale-nn-no (= ${binary:Version}), thunderbird-locale-pa-in (= ${binary:Version}), thunderbird-locale-pt-br (= ${binary:Version}), thunderbird-locale-pt-pt (= ${binary:Version}), thunderbird-locale-sv-se (= ${binary:Version}), thunderbird-locale-ta-lk (= ${binary:Version}), thunderbird-locale-zh-cn (= ${binary:Version}), thunderbird-locale-zh-tw (= ${binary:Version}), thunderbird-locale-af (= ${binary:Version}), thunderbird-locale-ar (= ${binary:Version}), thunderbird-locale-ast (= ${binary:Version}), thunderbird-locale-be (= ${binary:Version}), thunderbird-locale-bg (= ${binary:Version}), thunderbird-locale-bn (= ${binary:Version}), thunderbird-locale-br (= ${binary:Version}), thunderbird-locale-ca (= ${binary:Version}), thunderbird-locale-cs (= ${binary:Version}), thunderbird-locale-cy (= ${binary:Version}), thunderbird-locale-da (= ${binary:Version}), thunderbird-locale-de (= ${binary:Version}), thunderbird-locale-dsb (= ${binary:Version}), thunderbird-locale-el (= ${binary:Version}), thunderbird-locale-en (= ${binary:Version}), thunderbird-locale-es (= ${binary:Version}), thunderbird-locale-et (= ${binary:Version}), thunderbird-locale-eu (= ${binary:Version}), thunderbird-locale-fi (= ${binary:Version}), thunderbird-locale-fr (= ${binary:Version}), thunderbird-locale-fy (= ${binary:Version}), thunderbird-locale-ga (= ${binary:Version}), thunderbird-locale-gd (= ${binary:Version}), thunderbird-locale-gl (= ${binary:Version}), thunderbird-locale-he (= ${binary:Version}), thunderbird-locale-hr (= ${binary:Version}), thunderbird-locale-hsb (= ${binary:Version}), thunderbird-locale-hu (= ${binary:Version}), thunderbird-locale-hy (= ${binary:Version}), thunderbird-locale-id (= ${binary:Version}), thunderbird-locale-is (= ${binary:Version}), thunderbird-locale-it (= ${binary:Version}), thunderbird-locale-ja (= ${binary:Version}), thunderbird-locale-ka (= ${binary:Version}), thunderbird-locale-kab (= ${binary:Version}), thunderbird-locale-ko (= ${binary:Version}), thunderbird-locale-lt (= ${binary:Version}), thunderbird-locale-mk (= ${binary:Version}), thunderbird-locale-nb (= ${binary:Version}), thunderbird-locale-nl (= ${binary:Version}), thunderbird-locale-nn (= ${binary:Version}), thunderbird-locale-pa (= ${binary:Version}), thunderbird-locale-pl (= ${binary:Version}), thunderbird-locale-pt (= ${binary:Version}), thunderbird-locale-rm (= ${binary:Version}), thunderbird-locale-ro (= ${binary:Version}), thunderbird-locale-ru (= ${binary:Version}), thunderbird-locale-si (= ${binary:Version}), thunderbird-locale-sk (= ${binary:Version}), thunderbird-locale-sl (= ${binary:Version}), thunderbird-locale-sq (= ${binary:Version}), thunderbird-locale-sr (= ${binary:Version}), thunderbird-locale-sv (= ${binary:Version}), thunderbird-locale-ta (= ${binary:Version}), thunderbird-locale-tr (= ${binary:Version}), thunderbird-locale-uk (= ${binary:Version}), thunderbird-locale-vi (= ${binary:Version}), thunderbird-locale-zh-hans (= ${binary:Version}), thunderbird-locale-zh-hant (= ${binary:Version}),,
	python,
	dbus-x11,
	xvfb,
	make,
	metacity,
	gnome-session,
	gnome-settings-daemon,
	ubuntu-settings,
	light-themes,
	unzip,
	libgl1-mesa-dri
Provides: ${app:Provides}
Conflicts: ${app:Conflicts}
Description: Email, RSS and newsgroup client - testsuite
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.
 .
 This package contains the Thunderbird testsuite

Package: xul-ext-lightning
Architecture: any
Depends: thunderbird (= ${binary:Version}),
	${shlibs:Depends},
	${misc:Depends}
Recommends: xul-ext-gdata-provider,
	xul-ext-calendar-timezones
Enhances: thunderbird
Description: Calendar Extension for Thunderbird
 Lighting is the Mozilla Calendar extension for Thunderbird, based
 on Sunbird - the Mozilla Standalone Calendar application. It is tightly 
 integrated with Thunderbird, allowing it to easily perform email-related 
 calendaring tasks.

Package: xul-ext-gdata-provider
Architecture: any
Depends: xul-ext-lightning (= ${binary:Version}),
	${shlibs:Depends},
	${misc:Depends}
Enhances: thunderbird, xul-ext-lightning
Description: Calendar Extension for Thunderbird - Google Calendar support
 Lighting is the Mozilla Calendar extension for Thunderbird, based
 on Sunbird - the Mozilla Standalone Calendar application. It is tightly 
 integrated with Thunderbird, allowing it to easily perform email-related 
 calendaring tasks.
 .
 This package provides Google Calendar support. It's a recommended component 
 if you want to connect to your google calendar.

# Transitional packages below here

# Can be dropped after 14.04
Package: thunderbird-globalmenu
Architecture: any
Section: oldlibs
Priority: extra
Depends: thunderbird,
	${misc:Depends}
Description: Email, RSS and newsgroup client (transitional package)
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

# Can be dropped after 14.04
Package: xul-ext-calendar-timezones
Architecture: any
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}
Description: Calendar Extension for Thunderbird (transitional package)
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-gnome-support-dbg
Architecture: any
Depends: thunderbird-gnome-support, thunderbird-dbg, ${misc:Depends}
Description: Email, RSS and newsgroup client - transitional package
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

=== debian/rules ===
#!/usr/bin/make -f

MOZ_PKG_BASENAME	:= thunderbird

include $(CURDIR)/debian/build/config.mk

MOZ_APP			:= mail
MOZ_VENDOR		:=
MOZ_MOZDIR		:= mozilla

MOZ_BRANDING		:= $(CHANNEL)
ifneq (,$(filter release beta, $(MOZ_BRANDING)))
MOZ_BRANDING		:= official
endif
ifeq (1,$(MOZ_FORCE_UNOFFICIAL_BRANDING))
ifneq (,$(filter official aurora, $(MOZ_BRANDING)))
MOZ_BRANDING		:= nightly
endif
endif
ifeq (official,$(MOZ_BRANDING))
MOZ_BRANDING_DIR	:= other-licenses/branding/thunderbird
MOZ_BRANDING_OPTION	:= --enable-official-branding
else
MOZ_BRANDING_DIR	:= $(MOZ_APP)/branding/$(MOZ_BRANDING)
MOZ_BRANDING_OPTION	:= --with-branding=$(MOZ_BRANDING_DIR)
endif

MOZ_SEARCHPLUGIN_DIR	= $(MOZ_LIBDIR)/distribution/searchplugins

ifneq (,$(filter precise, $(DISTRIB_CODENAME)))
UNITY_DEPENDS	:= libindicate5, libdbusmenu-gtk4, libunity9, libebook-1.2-12, libedataserver-1.2-15
else
ifneq (,$(filter quantal raring saucy, $(DISTRIB_CODENAME)))
UNITY_DEPENDS	:= libmessaging-menu0, libunity9, libebook-1.2-14, libedataserver-1.2-17
else
UNITY_DEPENDS	:= libmessaging-menu0, libunity9
endif
endif

# Make sure thunderbird-couchdb is removed on upgrade to 12.10
# See https://launchpad.net/bugs/1040839
ifeq (,$(filter precise, $(DISTRIB_CODENAME)))
TB_COUCHDB_BREAKS	:= thunderbird-couchdb
endif

MOZ_LIGHTNING_PKG_NAME		= $(addsuffix $(subst $(MOZ_PKG_BASENAME),,$(MOZ_PKG_NAME)),xul-ext-lightning)
MOZ_CALENDAR_TZ_PKG_NAME	= $(addsuffix $(subst $(MOZ_PKG_BASENAME),,$(MOZ_PKG_NAME)),xul-ext-calendar-timezones)
MOZ_GDATA_PROVIDER_PKG_NAME	= $(addsuffix $(subst $(MOZ_PKG_BASENAME),,$(MOZ_PKG_NAME)),xul-ext-gdata-provider)

MOZ_PKG_SUPPORT_SUGGESTS = $(MOZ_PKG_NAME)-gnome-support

MOZ_PKGNAME_SUBST_FILES = \
	debian/$(MOZ_PKG_BASENAME).sh \
	debian/apport/blacklist \
	debian/apport/native-origins \
	debian/apport/source_$(MOZ_PKG_NAME).py \
	$(NULL)

include $(CURDIR)/debian/build/rules.mk

#MOZ_EXECUTABLES_$(MOZ_PKG_NAME)-testsuite =	$(MOZ_LIBDIR)/testing/run_xpcshell_tests \
						$(MOZ_LIBDIR)/xpcshell \
						$(MOZ_LIBDIR)/testing/filter_results \
						$(NULL)

debian/control::
	sed -i -e 's/@MOZ_LIGHTNING_PKG_NAME@/$(MOZ_LIGHTNING_PKG_NAME)/g' \
	       -e 's/@MOZ_CALENDAR_TZ_PKG_NAME@/$(MOZ_CALENDAR_TZ_PKG_NAME)/g' \
	       -e 's/@MOZ_GDATA_PROVIDER_PKG_NAME@/$(MOZ_GDATA_PROVIDER_PKG_NAME)/g' debian/control

make-messagingmenu-addon: debian/messagingmenu/messagingmenu@mozilla.com.xpi
debian/messagingmenu/messagingmenu@mozilla.com.xpi:
	cd $(CURDIR)/debian/messagingmenu; \
		sh build.sh || exit 1; \
		mv $(CURDIR)/debian/messagingmenu/messagingmenu.xpi $(CURDIR)/debian/messagingmenu/messagingmenu@mozilla.com.xpi

common-build-arch:: make-messagingmenu-addon

WRITE_SUBSTVARS = $(shell echo "$(2)=$(3)" | sed 's/[ \t\n]\+/ /g' >> debian/$(1).substvars)

ifeq (thunderbird,$(MOZ_PKG_NAME))
TB_REPLACES = mozilla-thunderbird, thunderbird-gnome-support (<= 3.0.4+nobinonly-0ubuntu3)
TB_CONFLICTS = mozilla-thunderbird
TB_BREAKS = thunderbird-gnome-support (<= 3.0.4+nobinonly-0ubuntu3), $(TB_COUCHDB_BREAKS)
install/thunderbird::
	$(call WRITE_SUBSTVARS,thunderbird,transitional:Replaces,$(TB_REPLACES))
	$(call WRITE_SUBSTVARS,thunderbird,transitional:Conflicts,$(TB_CONFLICTS))
	$(call WRITE_SUBSTVARS,thunderbird,transitional:Breaks,$(TB_BREAKS))
else
TB_BREAKS = $(TB_COUCHDB_BREAKS)
install/$(MOZ_PKG_NAME)::
	$(call WRITE_SUBSTVARS,$(MOZ_PKG_NAME),transitional:Breaks,$(TB_BREAKS))
endif

ifneq (,$(UNITY_DEPENDS))
install/$(MOZ_PKG_NAME)-gnome-support::
	$(call WRITE_SUBSTVARS,$(MOZ_PKG_NAME)-gnome-support,unity:Depends,$(UNITY_DEPENDS))
endif

binary-install/$(MOZ_PKG_NAME)::
	convert -resize 32x32 debian/$(MOZ_PKG_NAME)/usr/share/pixmaps/$(MOZ_APP_NAME).png debian/$(MOZ_PKG_NAME)/usr/share/pixmaps/$(MOZ_APP_NAME).xpm
	echo "/usr/share/applications/$(MOZ_APP_NAME).desktop" > debian/$(MOZ_PKG_NAME)/usr/share/indicators/messages/applications/$(MOZ_APP_NAME)

binary-install/$(MOZ_LIGHTNING_PKG_NAME)::
	dh_installdirs -p$(MOZ_LIGHTNING_PKG_NAME) $(MOZ_ADDONDIR)/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}
	unzip -o -d debian/$(MOZ_LIGHTNING_PKG_NAME)/$(MOZ_ADDONDIR)/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}/ $(MOZ_DISTDIR)/xpi-stage/lightning-*.xpi

binary-install/$(MOZ_GDATA_PROVIDER_PKG_NAME)::
	dh_installdirs -p$(MOZ_GDATA_PROVIDER_PKG_NAME) $(MOZ_ADDONDIR)/extensions/{a62ef8ec-5fdc-40c2-873c-223b8a6925cc}
	unzip -o -d debian/$(MOZ_GDATA_PROVIDER_PKG_NAME)/$(MOZ_ADDONDIR)/extensions/{a62ef8ec-5fdc-40c2-873c-223b8a6925cc}/ $(MOZ_DISTDIR)/xpi-stage/gdata-provider-*.xpi

pre-build::
	$(shell /usr/bin/docbook-to-man $(CURDIR)/debian/thunderbird.sgml > $(CURDIR)/debian/$(MOZ_APP_NAME).1)

clean::
	rm -f debian/messagingmenu/*.xpi
	rm -f debian/$(MOZ_APP_NAME).1

.PHONY: make-messagingmenu-addon

## thunderbird 52.8.0

=== mozilla/testing/marionette/harness/requirements.txt ===
browsermob-proxy >= 0.6.0
manifestparser >= 1.1
marionette-driver >= 2.2.0
mozcrash >= 0.5
mozdevice >= 0.44
mozinfo >= 0.8
mozlog >= 3.0
moznetwork >= 0.21
mozprocess >= 0.9
mozprofile >= 0.7
mozrunner >= 6.13
moztest >= 0.8
mozversion >= 1.1
wptserve >= 1.3.0

=== mozilla/testing/web-platform/tests/resources/webidl2/test/widlproc/Makefile ===
########################################################################
# $Id$
# Copyright 2009 Aplix Corporation. All rights reserved.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#     http://www.apache.org/licenses/LICENSE-2.0
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
########################################################################

UNAME = $(shell uname)
INCDIRS = $(OBJDIR)
SRCDIR = src
DOCDIR = doc
EXAMPLESDIR = examples
OBJDIR = obj

########################################################################
# Linux configuration
#
ifneq (,$(filter Linux%, $(UNAME))) 

CFLAGS = -g -Wall -Werror -O0 $(patsubst %, -I%, $(INCDIRS))
OBJSUFFIX = .o
EXESUFFIX =
#LIBS = -lefence
OBJOPTION = -o
EXEOPTION = -o

else
########################################################################
# Darwin configuration
#
ifneq (,$(filter Darwin%, $(UNAME))) 

CFLAGS = -g -Wall -Werror -O2 $(patsubst %, -I%, $(INCDIRS))
OBJSUFFIX = .o
EXESUFFIX =
OBJOPTION = -o
# The -o in the following line has a space after it, which must not be removed.
EXEOPTION = -o 

else
########################################################################
# Windows (cygwin but using MS compiler) configuration
#
# this is messy - should probably use vcvars.bat
ifneq (,$(filter CYGWIN%, $(UNAME))) 
VISUALSTUDIODIR = $(wildcard /cygdrive/c/Program*Files/Microsoft*Visual*Studio*8)
SDKDIR = $(wildcard /cygdrive/c/Program*Files/Microsoft*SDKs/Windows/*/Lib)
ifeq (,$(VISUALSTUDIODIR))
VISUALSTUDIODIR = $(wildcard /cygdrive/c/Program\ Files\ */Microsoft*Visual*Studio*10*)
endif
ifeq (,$(VISUALSTUDIODIR))
VISUALSTUDIODIR = $(wildcard /cygdrive/c/Program\ Files\ */Microsoft*Visual*Studio*11*)
endif
# this is revelvant for vs2012 and windows 8 - sdk location has changed
ifeq (,$(SDKDIR))
SDKDIR = $(wildcard /cygdrive/c/Program\ Files\ */Windows*Kits)
endif

ifeq (,$(VISUALSTUDIODIR))
$(error Could not find  MS Visual Studio) 
else
WINVISUALSTUDIODIR = $(shell cygpath -w '$(VISUALSTUDIODIR)')
WINSDKDIR = $(shell cygpath -w '$(SDKDIR)')

#$(error $(VISUALSTUDIODIR)) 

CC = \
	Lib='$(WINVISUALSTUDIODIR)\VC\LIB;$(WINVISUALSTUDIODIR)\VC\PlatformSDK\Lib;$(WINSDKDIR)' \
	PATH='$(VISUALSTUDIODIR)/Common7/IDE:$(VISUALSTUDIODIR)/VC/BIN:$(VISUALSTUDIODIR)/Common7/Tools:$(VISUALSTUDIODIR)/SDK/v2.0/bin:$(VISUALSTUDIODIR)/8.0/Lib/win8/um/x86:'$$PATH \
	Include='$(WINVISUALSTUDIODIR)\VC\INCLUDE;$(WINVISUALSTUDIODIR)\VC\PlatformSDK\Include' \
	cl
endif

CFLAGS = /nologo /WX /W3 /wd4996 /Zi /O2 $(patsubst %, /I%, $(INCDIRS))
OBJSUFFIX = .obj
EXESUFFIX = .exe
OBJOPTION = /Fo
EXEOPTION = /Fe

endif
endif
endif

########################################################################
# Common makefile
#
WIDLPROC = $(OBJDIR)/widlproc$(EXESUFFIX)
DTD = $(OBJDIR)/widlprocxml.dtd

ALL = $(WIDLPROC) $(DTD)
all : $(ALL)

SRCS = \
	comment.c \
	lex.c \
	main.c \
	misc.c \
	node.c \
	parse.c \
	process.c

OBJS = $(patsubst %.c, $(OBJDIR)/%$(OBJSUFFIX), $(SRCS))
$(WIDLPROC) : $(OBJS)
	$(CC) $(CFLAGS) $(EXEOPTION)$@ $^ $(LIBS)

$(OBJDIR)/%$(OBJSUFFIX) : $(SRCDIR)/%.c
	mkdir -p $(dir $@)
	$(CC) $(CFLAGS) $(OBJOPTION)$@ -c $<

$(OBJDIR)/%.d : $(SRCDIR)/%.c
	mkdir -p $(dir $@)
	cc $(patsubst %, -I%, $(INCDIRS)) -MM -MG -MT $(patsubst %.d, %$(OBJSUFFIX), $@) $< | sed '$(patsubst %, s| \(%\)| $(OBJDIR)/\1|;, $(AUTOGENHEADERS))' >$@

include $(patsubst %.c, $(OBJDIR)/%.d, $(SRCS))


$(DTD) : $(DOCDIR)/htmltodtd.xsl $(DOCDIR)/widlproc.html
	xsltproc -html $^ >$@

clean :
	rm -f $(ALL) $(OBJS)

veryclean :
	rm -rf $(OBJDIR)

SVNFILES = $(shell test -d .svn && svn info -R . | sed -n 's/^Path: \(.*\)$$/\1/p')
SVNBRANCH = $(shell test -d .svn && svn info . | sed -n 's|^URL:.*/\([^/]*\)$$|\1|p')
SVNREV = $(shell test -d .svn && svn info -R . | sed -n 's/^Last Changed Rev: \([0-9][0-9]*\)$$/\1/p' | sort -g | tail -1)

SVNLOG = history
$(SVNLOG) : $(SVNFILES)
	svn log -vrHEAD:311 >$@

zip : $(OBJDIR)/widlproc-$(SVNBRANCH)$(SVNREV).zip
$(OBJDIR)/widlproc-$(SVNBRANCH)$(SVNREV).zip : $(WIDLPROC) $(DTD) $(DOCDIR)/widlproc.html $(SRCDIR)/widlprocxmltohtml.xsl Makefile $(SVNLOG)
	rm -f $@
	zip -j $@ $^ -x Makefile
	zip $@ examples/*.widl examples/*.css examples/Makefile examples/README examples/*.xsl examples/*.html

srczip : widlproc-src-$(SVNBRANCH)$(SVNREV).zip

widlproc-src-%.zip : $(SVNFILES) $(SVNLOG)
	zip $@ $^ 

examples :
	$(MAKE) -C examples SRCDIR=../src OBJDIR=../obj EXAMPLESOBJDIR=../obj/examples

test : $(OBJS)
	$(MAKE) -C test SRCDIR=../src OBJDIR=../obj

.DELETE_ON_ERROR:

=== debian/changelog ===
thunderbird (1:52.8.0-1~deb8u1) jessie-security; urgency=medium

  [ Carsten Schoenert ]
  * Rebuild for jessie-security

  [ intrigeri ]
  * [acc3a6b] Revert "apparmor: allow access to @{HOME}/.gnupg/tofu.db"
     (Cherry-picked from debian/sid to not differ the Apparmor settings
      between the Debian releases)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 21 May 2018 20:37:55 +0200

thunderbird (1:52.8.0-1) unstable; urgency=high

  [ intrigeri ]
  * [4656ebf] AppArmor: update profile from upstream
    (Closes: #882048, #882122)

  [ Agustin Henze ]
  * [840cbc8] apparmor: allow access to @{HOME}/.gnupg/tofu.db
    (Closes: #894907)

  [ Carsten Schoenert ]
  * [514e9e8] New upstream version 52.8.0
    Fixed CVE issues in upstream version 52.8 (MFSA 2018-13)
    CVE-2018-5183: Backport critical security fixes in Skia
    CVE-2018-5184: Full plaintext recovery in S/MIME via chosen-ciphertext
                   attack (aka Efail)
    CVE-2018-5154: Use-after-free with SVG animations and clip paths
    CVE-2018-5155: Use-after-free with SVG animations and text paths
    CVE-2018-5159: Integer overflow and out-of-bounds write in Skia
    CVE-2018-5161: Hang via malformed headers
    CVE-2018-5162: Encrypted mail leaks plaintext through src attribute
                   (aka Efail)
    CVE-2018-5170: Filename spoofing for external attachments
    CVE-2018-5168: Lightweight themes can be installed without user
                   interaction
    CVE-2018-5178: Buffer overflow during UTF-8 to Unicode string conversion
                   through legacy extension
    CVE-2018-5185: Leaking plaintext through HTML forms (aka Efail)
    CVE-2018-5150: Memory safety bugs fixed in Firefox 60, Firefox ESR 52.8,
                   and Thunderbird 52.8
    (Closes: #898631)
  * [7845229] ICU: don't build the Paragraph Layout library
     Disable the build of the layout library in the internal ICU build as we
     don't need this and can cause build issues.
  * [e0a79fc] debian/control: increase Standards-Version to 4.1.4
     No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 17 May 2018 21:04:15 +0200

thunderbird (1:52.7.0-1~deb8u1) jessie-security; urgency=medium

  [ Carsten Schoenert ]
  * Rebuild for jessie-security

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 27 Mar 2018 18:18:08 +0200

=== debian/control ===
Source: thunderbird
Section: mail
Priority: optional
Maintainer: Carsten Schoenert <c.schoenert@t-online.de>
Uploaders:
 Christoph Goehre <chris@sigxcpu.org>,
Build-Depends:
 autoconf2.13,
 bash-completion,
 bzip2,
 debhelper (>= 9.20150101~),
 dh-apparmor,
 dh-exec,
 dpkg (>= 1.16.18~),
 dpkg-dev (>= 1.16.18~),
 libasound2-dev [linux-any],
 libatk-adaptor,
 libbz2-dev,
 libcairo2-dev (>= 1.10.2-1.1~),
 libdbus-glib-1-dev (>= 0.60),
 libevent-dev (>= 1.4.1),
 libffi-dev,
 libfontconfig1-dev,
 libglib2.0-dev (>= 2.22.0),
 libglib2.0-dev,
 libgtk2.0-dev,
 libgtk-3-dev (>= 3.4),
 libhunspell-dev (>= 1.2),
 libjsoncpp-dev,
 libidl-dev (>= 0.8.0),
 libiw-dev [linux-any],
 libnotify-dev,
 libpng-dev,
 libpulse-dev,
 libreadline-dev,
 libstartup-notification0-dev,
 libx11-dev,
 libx11-xcb-dev,
 libxau-dev,
 libxft-dev,
 libxt-dev,
 mesa-common-dev,
 mozilla-devscripts,
 python-minimal (>= 2.6.6-13~),
 python-ply,
 python2.7,
 unzip,
 yasm (>= 1.1),
 zip,
 zlib1g-dev,
Vcs-Git: https://salsa.debian.org/mozilla-team/thunderbird.git
Vcs-Browser: https://salsa.debian.org/mozilla-team/thunderbird
Homepage: http://www.mozilla.org/thunderbird/
X-Debian-Homepage: http://wiki.debian.org/Thunderbird
Standards-Version: 4.1.4

Package: thunderbird
Architecture: any
Depends:
 debianutils (>= 1.16),
 fontconfig,
 psmisc,
 x11-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 lightning (= ${binary:Version}),
 myspell-en-us | hunspell-dictionary | myspell-dictionary,
Suggests:
 apparmor,
 fonts-lyx,
 libgssapi-krb5-2,
 ${gnome:Depends},
Provides:
 mail-reader,
 icedove,
Xb-Xul-AppId: {3550f703-e582-4d05-9a08-453d09bdfdc6}
Replaces:
 icedove (<< 1:45.6.0-2.1~),
Breaks:
 icedove (<< 1:45.6.0-2.1~),
 enigmail (<< 2:1.9.8.1-1~),
 hunspell-ar (<< 0.0.0+20080110-1.1),
 hunspell-da (<< 1:3.1.0-3),
 hunspell-de-at (<< 20071211-2),
 hunspell-de-ch (<< 20071211-2),
 hunspell-de-de (<< 20071211-2),
 hunspell-de-med (<< 20090825-1),
 hunspell-en-ca (<< 1:3.1.0-3),
 hunspell-en-us (<< 20070829-3),
 hunspell-fr (<< 1:3.1.0-3),
 hunspell-gl-es (<< 2.2a-6),
 hunspell-hu (<< 1:3.1.0-3),
 hunspell-ko (<< 0.3.3-1),
 hunspell-ne (<< 1:3.1.0-3),
 hunspell-se (<< 1.0~beta6.20081222-1.1),
 hunspell-sh (<< 1:3.1.0-3),
 hunspell-sr (<< 1:3.1.0-3),
 hunspell-uz (<< 0.6-3.1),
 hunspell-vi (<< 1:3.1.0-3),
 lightning (<< ${binary:Version}),
 myspell-af (<< 1:3.1.0-3),
 myspell-ca (<< 0.6-8),
 myspell-cs-cz (<< 20040229-4.1),
 myspell-da (<< 1.6.18-1.1),
 myspell-de-at (<< 20071211-2),
 myspell-de-ch (<< 20071211-2),
 myspell-de-de (<< 20071211-2),
 myspell-de-de-oldspell (<< 1:2-25.1),
 myspell-el-gr (<< 0.3-1.1),
 myspell-en-au (<< 2.1-5),
 myspell-en-gb (<< 1:3.1.0-3),
 myspell-en-us (<< 1:3.1.0-3),
 myspell-en-za (<< 1:3.1.0-3),
 myspell-eo (<< 2.1.2000.02.25-41),
 myspell-es (<< 1.10-7),
 myspell-et (<< 1:20030606-12.1),
 myspell-fa (<< 0.20070816-2),
 myspell-fi (<< 0.7-17.2),
 myspell-fo (<< 0.2.36-3),
 myspell-fr (<< 1.4-25),
 myspell-fr-gut (<< 1:1.0-26.1),
 myspell-ga (<< 2.0-19),
 myspell-gd (<< 0.50-7),
 myspell-gv (<< 0.50-8),
 myspell-hr (<< 20060617-2),
 myspell-hu (<< 0.99.4-1.2),
 myspell-hy (<< 0.10.1-1.1),
 myspell-it (<< 1:3.1.0-3),
 myspell-ku (<< 0.20.0-1.1),
 myspell-lv (<< 0.7.3-3.1),
 myspell-nb (<< 2.0.10-3.1),
 myspell-ne (<< 1.0-4.1),
 myspell-nl (<< 1:1.10-3),
 myspell-nn (<< 2.0.10-3.1),
 myspell-pl (<< 20090830-1),
 myspell-pt-br (<< 2009.03.30-1.1),
 myspell-pt-pt (<< 20090309-1.1),
 myspell-ru (<< 0.99g5-8.1),
 myspell-sk (<< 0.5.5a-2.1),
 myspell-sv-se (<< 1.3.8-6-2.2),
 myspell-sw (<< 1:3.1.0-3),
 myspell-th (<< 1:3.1.0-3),
 myspell-tl (<< 0.4-0-5),
 xul-ext-compactheader (<< 2.1.0~),
 xul-ext-foxyproxy-standard (<< 4.5.6-debian-2~),
Description: mail/news client with RSS, chat and integrated spam filter support
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 It supports different mail accounts, no matter of the used protocol like
 POP(s) or IMAP(s), has an integrated learning Spam filter, and offers easy
 organization of mails with tagging and virtual folders. Also, more features
 can be added by installing extensions.
 .
 The goal of Thunderbird is to produce a cross platform standalone mail
 application using the XUL user interface language.

Package: thunderbird-dev
Architecture: any
Depends:
 thunderbird (= ${binary:Version}),
 libnspr4-dev,
 libnss3-dev,
 python,
 ${misc:Depends},
 ${shlibs:Depends},
Replaces:
 icedove-dev (<< 1:45.6.0-2.1~),
Breaks:
 icedove-dev (<< 1:45.6.0-2.1~),
Provides:
 icedove-dev,
Description: Development files for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 It supports different mail accounts, no matter of the used protocol like
 POP(s) or IMAP(s), has an integrated learning Spam filter, and offers easy
 organization of mails with tagging and virtual folders. Also, more features
 can be added by installing extensions.
 .
 This package contains the development headers, idl files and static libraries
 needed to develop applications using Thunderbird.

Package: thunderbird-dbg
Architecture: any
Priority: extra
Section: debug
Multi-Arch: same
Depends:
 thunderbird (= ${binary:Version}),
 ${misc:Depends},
Replaces:
 icedove-dbg (<< 1:45.6.0-2.1~),
Breaks:
 icedove-dbg (<< 1:45.6.0-2.1~),
Provides:
 icedove-dbg,
Description: Debug Symbols for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 It supports different mail accounts, no matter of the used protocol like
 POP(s) or IMAP(s), has an integrated learning Spam filter, and offers easy
 organization of mails with tagging and virtual folders. Also, more features
 can be added by installing extensions.
 .
 This package contains the debug symbols for Thunderbird. Install this package
 if you need to debug such a program or if you need a useful backtrace of a
 crash.

Package: lightning
Architecture: any
Depends:
 thunderbird (>= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 calendar-google-provider,
 fonts-lyx,
Provides:
 calendar-timezones,
 iceowl-extension,
Breaks:
 calendar-timezones,
 iceowl-extension (<< 1:45.6.0-2.1~),
Replaces:
 calendar-timezones,
 iceowl-extension (<< 1:45.6.0-2.1~),
Description: Calendar Extension for Thunderbird
 Lightning is a calendar extension for Thunderbird. It can handle events,
 event invitations and tasks in multiple calendars.
 .
 It supports local calendars, CalDAV and plain ics files on CardDAV and WebDAV.

Package: calendar-google-provider
Architecture: all
Depends:
 lightning (>= ${binary:Version}),
 ${misc:Depends},
Enhances:
 thunderbird,
 lightning,
Description: Google Calendar support for lightning
 This extension adds support for accessing google calendars in Thunderbird
 via lightning.
 .
 It's a recommended component if you want to connect Thunderbird to your
 Google calendar.

Package: thunderbird-l10n-all
Architecture: all
Section: metapackages
Depends:
 thunderbird-l10n-ar (>= ${binary:Version}),
 thunderbird-l10n-ast (>= ${binary:Version}),
 thunderbird-l10n-be (>= ${binary:Version}),
 thunderbird-l10n-bg (>= ${binary:Version}),
 thunderbird-l10n-bn-bd (>= ${binary:Version}),
 thunderbird-l10n-br (>= ${binary:Version}),
 thunderbird-l10n-ca (>= ${binary:Version}),
 thunderbird-l10n-cs (>= ${binary:Version}),
 thunderbird-l10n-da (>= ${binary:Version}),
 thunderbird-l10n-de (>= ${binary:Version}),
 thunderbird-l10n-dsb (>= ${binary:Version}),
 thunderbird-l10n-el (>= ${binary:Version}),
 thunderbird-l10n-en-gb (>= ${binary:Version}),
 thunderbird-l10n-es-ar (>= ${binary:Version}),
 thunderbird-l10n-es-es (>= ${binary:Version}),
 thunderbird-l10n-et (>= ${binary:Version}),
 thunderbird-l10n-eu (>= ${binary:Version}),
 thunderbird-l10n-fi (>= ${binary:Version}),
 thunderbird-l10n-fr (>= ${binary:Version}),
 thunderbird-l10n-fy-nl (>= ${binary:Version}),
 thunderbird-l10n-ga-ie (>= ${binary:Version}),
 thunderbird-l10n-gd (>= ${binary:Version}),
 thunderbird-l10n-gl (>= ${binary:Version}),
 thunderbird-l10n-he (>= ${binary:Version}),
 thunderbird-l10n-hr (>= ${binary:Version}),
 thunderbird-l10n-hsb (>= ${binary:Version}),
 thunderbird-l10n-hu (>= ${binary:Version}),
 thunderbird-l10n-hy-am (>= ${binary:Version}),
 thunderbird-l10n-id (>= ${binary:Version}),
 thunderbird-l10n-is (>= ${binary:Version}),
 thunderbird-l10n-it (>= ${binary:Version}),
 thunderbird-l10n-ja (>= ${binary:Version}),
 thunderbird-l10n-kab (>= ${binary:Version}),
 thunderbird-l10n-ko (>= ${binary:Version}),
 thunderbird-l10n-lt (>= ${binary:Version}),
 thunderbird-l10n-nb-no (>= ${binary:Version}),
 thunderbird-l10n-nl (>= ${binary:Version}),
 thunderbird-l10n-nn-no (>= ${binary:Version}),
 thunderbird-l10n-pa-in (>= ${binary:Version}),
 thunderbird-l10n-pl (>= ${binary:Version}),
 thunderbird-l10n-pt-br (>= ${binary:Version}),
 thunderbird-l10n-pt-pt (>= ${binary:Version}),
 thunderbird-l10n-rm (>= ${binary:Version}),
 thunderbird-l10n-ro (>= ${binary:Version}),
 thunderbird-l10n-ru (>= ${binary:Version}),
 thunderbird-l10n-si (>= ${binary:Version}),
 thunderbird-l10n-sk (>= ${binary:Version}),
 thunderbird-l10n-sl (>= ${binary:Version}),
 thunderbird-l10n-sq (>= ${binary:Version}),
 thunderbird-l10n-sr (>= ${binary:Version}),
 thunderbird-l10n-sv-se (>= ${binary:Version}),
 thunderbird-l10n-ta-lk (>= ${binary:Version}),
 thunderbird-l10n-tr (>= ${binary:Version}),
 thunderbird-l10n-uk (>= ${binary:Version}),
 thunderbird-l10n-vi (>= ${binary:Version}),
 thunderbird-l10n-zh-cn (>= ${binary:Version}),
 thunderbird-l10n-zh-tw (>= ${binary:Version}),
 ${misc:Depends},
Replaces:
 icedove-l10n-all (<< 1:45.6.0-2.1~),
Breaks:
 icedove-l10n-all (<< 1:45.6.0-2.1~),
Provides:
 icedove-l10n-all,
Description: All language packages for Thunderbird (meta)
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package is a metapackage depending on all available localization of
 Thunderbird.

Package: thunderbird-l10n-ar
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:ar
Recommends:
 hunspell-ar,
Replaces:
 icedove-l10n-ar (<< 1:45.6.0-2.1~),
Breaks:
 icedove-l10n-ar (<< 1:45.6.0-2.1~),
Provides:
 icedove-l10n-ar,
Description: Arabic language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Arabic.

Package: thunderbird-l10n-ast
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:ast
Replaces:
 icedove-l10n-ast (<< 1:45.6.0-2.1~),
Breaks:
 icedove-l10n-ast (<< 1:45.6.0-2.1~),
Provides:
 icedove-l10n-ast,
Description: Asturian language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Asturian.

Package: thunderbird-l10n-be
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:be
Recommends:
 hunspell-be,
Replaces:

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# checking the release type, if $(RELEASE)=UNRELEASED we won't build
# the thunderbird-dbg package
include /usr/share/dpkg/pkg-info.mk
RELEASE := $(DEB_DISTRIBUTION)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

ICU_DATA_FILE := $(shell basename mozilla/config/external/icu/data/icud*.dat)
ICU_BUILD := $(shell if ! grep -qs -e "--with-system-icu" debian/mozconfig.default; then echo YES || NO; fi)
ICU_BUILD_DIR := $(CURDIR)/obj-thunderbird/obj-icu
ICU_BUILD_CONFIGURE := --with-data-packaging=archive --enable-static --disable-layoutex --disable-shared --disable-extras --disable-icuio --disable-layout --disable-tests --disable-samples --disable-strict
ICU_BUILD_CPPFLAGS := "-DU_NO_DEFAULT_INCLUDE_UTF_HEADERS=1 -DUCONFIG_NO_LEGACY_CONVERSION -DUCONFIG_NO_TRANSLITERATION -DUCONFIG_NO_REGULAR_EXPRESSIONS -DUCONFIG_NO_BREAK_ITERATION -DU_CHARSET_IS_UTF8"

THUNDERBIRD_VERSION=$(shell tail -1 mail/config/version.txt)
DEB_AUTO_UPDATE_AUTOCONF=2.13

# build directory used for building the thunderbird-l10n files
THUNDERBIRD_L10N_BUILDDIR=debian/thunderbird-l10n-build

# build directory used for building the lightning-l10n files
LIGHTNING_L10N_BUILDDIR=debian/lightning-l10n-build
# Iceowl/Lightning version, note this is different from the TB version!
LIGHTNING_VERSION := $(shell python $(CURDIR)/calendar/lightning/build/makeversion.py ${THUNDERBIRD_VERSION})

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

# currently needed as workaround for GCC-6 built
# see https://bugzilla.mozilla.org/show_bug.cgi?id=1251576
# and https://bugzilla.mozilla.org/show_bug.cgi?id=1245783#c31
CFLAGS += -fno-delete-null-pointer-checks -fno-schedule-insns2
CXXFLAGS += -fno-delete-null-pointer-checks -fno-schedule-insns2

# special CFLAGS for various platforms
ifeq ($(DEB_BUILD_ARCH),armel)
	CFLAGS += -D__ARM_PCS
endif

# Reduce memory usage of the linker at the expense of processing time
# This should help on lower-end architectures like arm and mips, which
# spend an immense amount of time swapping.
LDFLAGS += -Wl,--no-keep-memory -Wl,--reduce-memory-overheads

# Add execution time and memory usage stats in the logs
LDFLAGS += -Wl,--stats

export MOZ_BUILD_DATE := $(SOURCE_DATE_EPOCH)
export BUILD_DATE := $(shell dpkg-parsechangelog --show-field=Date)
export MOZCONFIG=$(shell pwd)/mozconfig.thunderbird
export MOZILLA_OFFICIAL=1
export DEB_BUILD_GNU_TYPE
export DEB_HOST_GNU_TYPE
export DEB_BUILD_OPTIONS
# Some Debian build tools clear out some variables
export SHELL=/bin/bash

%:
	dh $@

build:
	dh $@

override_dh_autoreconf:

override_dh_auto_clean:
	dh_auto_clean --builddirectory=obj-thunderbird
	# needed for thunderbird-l10n
	rm -rf $(THUNDERBIRD_L10N_BUILDDIR)
	# needed for lightning-l10n
	rm -rf $(LIGHTNING_L10N_BUILDDIR)

override_dh_auto_configure:
	# run autoconf for all configure files
	if [ "Z$(DEB_AUTO_UPDATE_AUTOCONF)" != Z ] || [ ! -e $(CURDIR)/configure ]; then \
		cd $(CURDIR) && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
	if [ "Z$(DEB_AUTO_UPDATE_AUTOCONF)" != Z ] || [ ! -e $(CURDIR)/mozilla/configure ]; then \
		cd $(CURDIR)/mozilla && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
	if [ "Z$(DEB_AUTO_UPDATE_AUTOCONF)" != Z ] || [ ! -e $(CURDIR)/mozilla/js/src/configure ]; then \
		cd $(CURDIR)/mozilla/js/src && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
	# copy the mozconfig files
	cp debian/mozconfig.* .
	cp debian/mozconfig.default mozilla/
	echo 'mk_add_options MOZ_OBJDIR=$(CURDIR)/obj-thunderbird' >> mozconfig.thunderbird
	@echo "rebuild ICU data file needed: $(ICU_BUILD)"
ifeq ($(ICU_BUILD),YES)
	#####################################################################
	# (re)build upstream icudt5*.dat due disabled usage of system files #
	#####################################################################
	rm -f $(CURDIR)/mozilla/config/external/icu/data/$(ICU_DATA_FILE)
	mkdir -p $(ICU_BUILD_DIR)
	cd $(ICU_BUILD_DIR) ;\
		$(CURDIR)/mozilla/intl/icu/source/configure $(ICU_BUILD_CONFIGURE) CPPFLAGS=$(ICU_BUILD_CPPFLAGS) ;\
		$(MAKE) VERBOSE=1 -j$(NUMJOBS)
	@ICU_DATA_FILE_CREATED=$$(basename $(ICU_BUILD_DIR)/data/out/icud*.dat) ;\
	test -f $(ICU_BUILD_DIR)/data/out/$$ICU_DATA_FILE_CREATED && cp $(ICU_BUILD_DIR)/data/out/$$ICU_DATA_FILE_CREATED $(CURDIR)/mozilla/config/external/icu/data ;\
	echo "created new ICU_DATA_FILE in $(CURDIR)/mozilla/config/external/icu/data/$$ICU_DATA_FILE_CREATED"
endif
	# configure the various build settings
	# thunderbird, thunderbird-dev, calendar-google-provider, lightning
	DIST= make -f client.mk configure

override_dh_auto_build:
	# building the stuff
	make -f client.mk build
	# build thunderbird-l10n
	mkdir -p $(THUNDERBIRD_L10N_BUILDDIR)
	cd $(CURDIR)/thunderbird-l10n; \
	for XPI in *; do \
		LOCALE=`basename $${XPI}`; \
		xpi-pack $${LOCALE} ../$(THUNDERBIRD_L10N_BUILDDIR)/$${LOCALE}.xpi; \
	done
	# build lightning-l10n
	mkdir -p $(LIGHTNING_L10N_BUILDDIR)
	cd $(CURDIR)/lightning-l10n; \
	for dir in ?? ??? ??-*; do \
		cd $${dir}; \
		zip -q -X -r ../../$(LIGHTNING_L10N_BUILDDIR)/$${dir}.jar locale; \
		cd -; \
	done
	rm -rf $(LIGHTNING_L10N_BUILDDIR)/en-US.jar

override_dh_auto_install:
ifneq (,$(filter mips,$(DEB_BUILD_ARCH)))
	sed -i '/"javascript.options.\(baselinejit\|ion\)"/s/true/false/' obj-thunderbird/dist/bin/greprefs.js
endif
	make -f client.mk install DESTDIR=$(CURDIR)/debian/tmp
	# install thunderbird-l10n
	cd $(CURDIR)/thunderbird-l10n; \
	for DIRECTORY in *; do \
		LOCALE=`echo $${DIRECTORY} | tr [:upper:] [:lower:]`; \
		ID=`cat $${DIRECTORY}/install.rdf | sed --posix '/em:id=/!d;s/[ ]*em:id="//;s/".*//'`; \
		install -D -m 644 ../$(THUNDERBIRD_L10N_BUILDDIR)/$${DIRECTORY}.xpi $(CURDIR)/debian/thunderbird-l10n-$${LOCALE}/usr/share/thunderbird/extensions/$${ID}.xpi; \
		mkdir -p $(CURDIR)/debian/thunderbird-l10n-$${LOCALE}/usr/lib/thunderbird/extensions; \
		ln -sf /usr/share/thunderbird/extensions/$${ID}.xpi $(CURDIR)/debian/thunderbird-l10n-$${LOCALE}/usr/lib/thunderbird/extensions/$${ID}.xpi; \
	done
	# install lightning-l10n
	for jar in $(LIGHTNING_L10N_BUILDDIR)/*.jar; do \
		locale=`basename $${jar} .jar | tr 'A-Z' 'a-z'`; \
		mkdir -p $(CURDIR)/debian/lightning-l10n-$${locale}/usr/share/lightning/extensions/langpack-$${locale}@lightning.debian.org/chrome; \
		install -m 644 $${jar} $(CURDIR)/debian/lightning-l10n-$${locale}/usr/share/lightning/extensions/langpack-$${locale}@lightning.debian.org/chrome/; \
	done
	for jar in $(LIGHTNING_L10N_BUILDDIR)/*.jar; do \
		locale=`basename $${jar} .jar | tr 'A-Z' 'a-z'`; \
		mkdir -p $(CURDIR)/debian/lightning-l10n-$${locale}/usr/lib/lightning/extensions/; \
		ln -sf /usr/share/lightning/extensions/langpack-$${locale}@lightning.debian.org/ \
			$(CURDIR)/debian/lightning-l10n-$${locale}/usr/lib/lightning/extensions/langpack-$${locale}@lightning.debian.org; \
		mkdir -p $(CURDIR)/debian/lightning-l10n-$${locale}/usr/lib/thunderbird/extensions/; \
		ln -sf /usr/share/lightning/extensions/langpack-$${locale}@lightning.debian.org/ \
			$(CURDIR)/debian/lightning-l10n-$${locale}/usr/lib/thunderbird/extensions/langpack-$${locale}@lightning.debian.org; \
	done
	# install lightning-l10n; install.rdf
	for jar in $(LIGHTNING_L10N_BUILDDIR)/*.jar; do \
		locale=`basename $${jar} .jar | tr 'A-Z' 'a-z'`; \
		sed -e s"/##LOCALE##/$${locale}/" -e s",##VERSION##,$(LIGHTNING_VERSION)," \
			debian/lightning-l10n-install.rdf.in \
			> $(CURDIR)/debian/lightning-l10n-$${locale}/usr/share/lightning/extensions/langpack-$${locale}@lightning.debian.org/install.rdf; \
	done
	# install lightning-l10n; chrome.manifest
	for jar in $(LIGHTNING_L10N_BUILDDIR)/*.jar; do \
		lang=`basename $${jar} .jar`; \
		locale=`basename $${jar} .jar | tr 'A-Z' 'a-z'`; \

=== debian/tests/control ===
Tests: help.sh
Depends: thunderbird, xvfb, xauth

Tests: xpcshellTest.sh
Depends: thunderbird-dev

#Tests: idlTest.sh
#Depends: thunderbird-dev, build-essential

Tests: icudatfileTest.sh
Depends: thunderbird-dev

Tests: soSymlinkTest.sh
Depends: thunderbird-dev
